The API functionality is in closed beta phase. Currently, the closed beta is available only for select providers. Make sure to direct any questions during the beta phase to your Booking.com contact person via the appropriate channels.
GET https://payments-api.booking.com/connectivity-payments/recon-reports/{request-id}The Status API allows you to fetch the status of the payout report and download the payout report once it's ready (has status set to READY).
You need to be connected with the reservations connection type to use this API.
For more information on the connection types, see Connections API Overview.
Take these expiration times/dates into account:
- Download link: Valid for 15 minutes. To download a report after this time, you need to request a new link.
- Report request: Identical report requests are cached for 1 hour. If a report is requested with the same filters within one hour, the same
request_idwill be returned with the status200 OK. If the report isREADY, the Status API provides the link to download the previous report.
| Header | Description | Type |
|---|---|---|
api-version | The version of the API. If omitted, defaults to 1.0. | string |
The following table describes what elements you must add as path parameters:
| Element | Description | Type | Required/Optional |
|---|---|---|---|
request-id | Specifies the identifier of the payout report request. | string | required |
{
"meta": {
"ruid": "string"
},
"data": {
"request_id": "UUID-R1234",
"status": "READY",
"updated_at": "ISO-8601 timestamp",
"download_url_expires_at": "ISO-8601 timestamp",
"filename": "file.json",
"download_url": "string"
},
"errors": [
{
"description": "string",
"message": "",
"status_code": 0,
"debug_message": "string"
}
],
"warnings": [
{
"message": "string"
}
]
}The following table describes the response elements:
| Element | Description | Type |
|---|---|---|
data | Contains the report status details. | object |
:: request_id | Identifier of the report request for which the status is retrieved. | string |
:: status | Status of the request: GENERATING, READY, EMPTY, or ERROR. | string |
:: updated_at | Timestamp of the last status update. | string |
:: download_url_expires_at | Timestamp of when the download link expires. | string |
:: filename | Name of the payout report file. | string |
:: download_url | URL to download the payout report. | string |
errors | Contains potential errors. These can help you understand what went wrong with your request. For more information, see Response codes. | array |
warnings | Contains potential warnings. These can help you improve your requests. | array |
Download example payout reports to see the structure and format of the data returned by the API:
To prevent excessive load on our systems, we limit the number of API calls that a provider can make per minute. For the Status API, the limit is 10 requests per minute.
This table lists and describes the response codes that the API can return.
| Code | Description |
|---|---|
| 200 OK | Report status and details retrieved successfully. |
| 400 Bad request | Invalid parameters provided. |
| 401 Unauthorized | User not authenticated. |
| 403 Forbidden | User not authorized to access this report. |
| 404 Not Found | Report ID not found. |
| 429 Too Many Requests | Rate limit exceeded. |
| 500 Internal server error | An unexpected error occurred. |